php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #48438 no ISPI module in installer
Submitted: 2009-05-31 11:51 UTC Modified: 2009-05-31 12:24 UTC
From: s_parajuli at yahoo dot com Assigned:
Status: Not a bug Package: IIS related
PHP Version: 5.2.9 OS: win xp professional
Private report: No CVE-ID: None
 [2009-05-31 11:51 UTC] s_parajuli at yahoo dot com
Description:
------------
while trying to install php-5.2.9-2-win32-installer.msi there is no selection for ISAPI module.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2009-05-31 11:52 UTC] s_parajuli at yahoo dot com
ISAPI module is present in the list of selection of web server types
 [2009-05-31 11:53 UTC] s_parajuli at yahoo dot com
sorry it should be as "ISAPI module is NOT present in the list of selection of web server types"
 [2009-05-31 11:53 UTC] pajoye@php.net
Are you sure you fetched the thread safe version?

http://windows.php.net/downloads/releases/php-5.2.9-2-Win32-VC6-x86.msi

That being said, I strongly recommend you to use FastCGI with IIS (5, 6 or 7). That's what is supported by Microsoft as well.
 [2009-05-31 12:03 UTC] s_parajuli at yahoo dot com
I had downloaded from http://www.php.net/downloads.php and also it doesn't setup php for webserver.
 [2009-05-31 12:16 UTC] pajoye@php.net
You did not answer the question. You have to download the __thread safe__ version. Advice still valid, use fastcgi.
 [2009-05-31 12:24 UTC] pajoye@php.net
The ISAPI is present in the installer.
 
PHP Copyright © 2001-2023 The PHP Group
All rights reserved.
Last updated: Wed Feb 08 18:03:46 2023 UTC